#pragma once

#include <sys/time.h>

typedef struct typeSYSTIMER
{
	struct timeval start_cnt;
	unsigned long alarm_time;
}SYSTIMER;

/* 设定定时器
    @param  计时器
    @param  时间（微秒); 设定为0则关闭定时器
*/
void Timer_Set(SYSTIMER *timer, unsigned long alarm_time);

/* 查询时间是否到达
    @return 1 时间到　０　时间未到
    @param  计时器
*/
char Timer_GetReached(SYSTIMER *timer);